Eclipse BIRT Report Object Model (ROM)

TemplateDataSet Element

# Element Overview

Represents a template data set.

### Details

Display Name: | Template Data Set
Since: | 2.0
XML Element: | `template-data-set`
Extends: | TemplateElement
Extendable: | No
Abstract: | No
Name Space: | Data Sets
Name Requirement: | Required
Allows User Properties: | No
Has Style: | No

### Inherited Properties

displayName, displayNameID, name, refTemplateParameter

### Description

A template data set is a place holder to generate a real data set element, its part of BIRT Template Support. User can create a template data set witproviding most properties and convert it into a template data set, it can be transformed into a real data set in later use.